Seg - Sex 07:00-20:00
Seg - Sex 07:00-20:00

FortiGuard detecta várias falhas no Adobe Illustrator 2020

FortiGuard detecta várias falhas no Adobe Illustrator 2020
FortiGuard detecta várias falhas no Adobe Illustrator 2020

Relatório de análise de ameaças do FortiGuard Labs

Plataformas afetadas: Windows 10 e Windows 7 SO
Partes afetadas : usuários do Adobe Illustrator CC 2020 versões 24.0.2 e anterior
Impacto: várias vulnerabilidades que levam à execução arbitrária de códigos.
Nível de gravidade: Crítico

 

Em janeiro do ano passado,  Kushal Arvind Shah descobriu e relatou várias vulnerabilidades críticas na plataforma Adobe Illustrator CC 2020.  No dia 28 de abril de 2020, a Adobe lançou vários patches de segurança fora de banda  que corrigiam esses problemas. Essas vulnerabilidades são identificadas como CVE-2020-9570, CVE-2020-9571, CVE-2020-9572, CVE-2020-9573 e CVE-2020-9574. Todas essas vulnerabilidades têm causas raiz diferentes relacionadas a vários plugins do Illustrator. Devido à classificação crítica dessas vulnerabilidades, sugerimos que os usuários apliquem esses patches da Adobe o mais rápido possível.

Detalhes adicionais dessas vulnerabilidades:

CVE-2020-9570

Essa falha de corrupção de memória existe na decodificação de arquivos PCX no Adobe Illustrator. Especificamente, a vulnerabilidade é causada por um arquivo PCX malformado, que causa um acesso à memória de gravação fora dos limites devido a uma verificação incorreta dos limites. Essa vulnerabilidade específica existe no plug-in ‘PCX’.

Os invasores podem explorar essa vulnerabilidade usando o acesso fora dos limites para leituras, gravações ou liberações indesejadas, potencialmente causando corrupção de código, um sequestro do fluxo de controle ou um ataque de vazamento de informações.

Um invasor remoto pode explorar essa vulnerabilidade para executar código arbitrário no contexto do aplicativo por meio de um arquivo PCX criado.

A Fortinet já lançou a assinatura  IPS Adobe.Illustrator.CVE-2020-9570.Memory.Corruption para esta vulnerabilidade específica para proteger proativamente nossos clientes antes que o patch estivesse  disponível.

CVE-2020-9571

Esta vulnerabilidade de corrupção de memória existe na decodificação de arquivos PCT no Adobe Illustrator. Especificamente, a vulnerabilidade é causada por um arquivo PCT malformado, que causa um acesso à memória fora dos limites devido a uma verificação incorreta dos limites. Essa vulnerabilidade específica existe no plug-in ‘MPS’.

Os invasores podem explorar essa vulnerabilidade usando o acesso fora dos limites para leituras, gravações ou liberações indesejadas, potencialmente causando corrupção de código, um sequestro do fluxo de controle ou um ataque de vazamento de informações.

Um invasor remoto pode explorar essa vulnerabilidade para executar código arbitrário no contexto do aplicativo por meio de um arquivo PCT criado.

A Fortinet já lançou a assinatura IPS  Adobe.Illustrator.CVE-2020-9571.Memory.Corruption para esta vulnerabilidade específica para proteger proativamente nossos clientes antes que o patch estivesse  disponível.

CVE-2020-9572

Essa vulnerabilidade de corrupção de memória da pilha existe no plug-in ‘PCT’ do Adobe Illustrator. Especificamente, a vulnerabilidade é causada por um arquivo PCT malformado, que causa um acesso à memória de gravação fora dos limites devido a uma verificação incorreta dos limites ao manipular um ponteiro para um buffer alocado de heap.

Um invasor remoto pode explorar essa vulnerabilidade para executar código arbitrário no contexto do aplicativo por meio de um arquivo PCT criado.

A Fortinet já lançou a assinatura IPS  Adobe.Illustrator.CVE-2020-9572.Memory.Corruption para esta vulnerabilidade específica para proteger proativamente nossos clientes antes que o patch estivesse  disponível.

CVE-2020-9573  : 

Esta vulnerabilidade de corrupção de memória existe na decodificação de arquivos PCT no Adobe Illustrator. Especificamente, a vulnerabilidade é causada por um arquivo PCT malformado, que causa um acesso à memória fora dos limites devido a uma verificação incorreta dos limites. A vulnerabilidade específica existe no plug-in ‘MPS’.

Os invasores podem explorar essa vulnerabilidade usando o acesso fora dos limites para leituras, gravações ou liberações indesejadas, potencialmente causando corrupção de código, um sequestro do fluxo de controle ou um ataque de vazamento de informações.

Um invasor remoto pode explorar essa vulnerabilidade para executar código arbitrário no contexto do aplicativo por meio de um arquivo PCT criado.

A Fortinet já lançou a assinatura IPS  Adobe.Illustrator.CVE-2020-9573.Memory.Corruption para esta vulnerabilidade específica para proteger proativamente nossos clientes antes que o patch estivesse disponível.

CVE-2020-9574  : 

Esta vulnerabilidade de corrupção de memória existe na decodificação de arquivos PostScript (PS) no Adobe Illustrator. Especificamente, a vulnerabilidade é causada por um arquivo PS mal formado, que causa um acesso à memória de gravação fora dos limites devido a uma verificação incorreta dos limites. A vulnerabilidade específica existe no plug-in ‘MPS’.

Os invasores podem explorar a vulnerabilidade usando o acesso fora dos limites para gravações ou liberações indesejadas, levando potencialmente a corrupção de código, um sequestro do fluxo de controle ou um ataque de vazamento de informações.

Um invasor remoto pode explorar essa vulnerabilidade para executar código arbitrário no contexto do aplicativo por meio de um arquivo PS criado.

A Fortinet já lançou a assinatura IPS da  Adobe. Illustrator .CVE-2020-9574.Memory.Corruption  para esta vulnerabilidade específica para proteger proativamente nossos clientes antes que o patch se tornasse disponível.

Soluções

O FortiGuard Labs está comprometido com a pesquisa e análise de ameaças em andamento para fornecer informações críticas sobre ameaças a nossos clientes e à comunidade de segurança cibernética. As vulnerabilidades descritas neste relatório fazem parte desses esforços. Embora os clientes do FortiGate IPS já tenham assinaturas atualizadas, recomendamos fortemente que todos os clientes do Adobe Illustrator apliquem esses patches lançados recentemente o mais rápido possível.

Saiba mais sobre a família Fortinet acessando a nossa página de produtos: FORTINET 

Já conhece a fortinet e quer adquirir algum produto? Entre já em contato com a TND Brasil e garanta a segurança do seu negócio não há como se arrepender. Fortinet, líder em segurança!

Fonte:

Fortinet

Leave a Reply